Delivery Request

A Delivery Request represents a question for files or information: you request someone to deliver something.

In the example screenshot below, we see a Delivery Request that has been configured to ask the user to upload the "Broadcast Master" file. In addition, it also requests the spoken languages, the duration, and timecodes where commercial breaks can be inserted.

dialog example

Structure

The structure of a DeliveryRequest is documented here.

Listing or searching DeliveryRequests of a Delivery Workspace

Query delivery requests

It is important to note that the call uses paging, so multiple calls using offset and limit might be needed to get all results. Learn more here.

The result of this call is a list of DeliveryRequest.

GET /production/{productionId}/delivery_request

This call fetches all delivery requests of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 1. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production was not found.

NotFoundError

Search delivery requests

As an alternative to the query call above, you can use the search call. Its results come from a search index. It contains some extra denormalized data for each delivery request, like some information on the Editorial Object it belongs to.

The downside of using the search call is that updates are not immediately available in the search index, and that a result is a "flat" structure, so your application has to convert these back into the structure of a DeliveryRequest. Which call (query or search) is best suited depends on your particular application.

GET /production/{productionId}/delivery_request/search

This call searches through indexed delivery requests of a production.

Details
Description

It returns DeliveryRequestSolrDocumentList.

Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 2. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production was not found.

NotFoundError

Get the details of a single DeliveryRequest

The result of this call is a DeliveryRequest.

GET /production/{productionId}/delivery_request/{id}

This call fetches a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 3. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production or custom workflow was not found.

NotFoundError

Some data will not be returned unless explicitly requested via the include query parameter.

Include Flag Description

assignee

The result will have the assignee property filled in. See [assignee-and-reviewer].

reviewer

The result will have the reviewer property filled in. See [assignee-and-reviewer].

volumeAccesses

The result will have the volumeAccesses property filled in.

submissions

The result will have the submissions property filled in, returning all de Delivery Request Submissions.

Creating and modifying a DeliveryRequest

Creating a delivery request

POST /production/{productionId}/delivery_request

This call creates a delivery request on the production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

ID of the production.

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequest

✘

List of DeliveryRequest

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 4. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production was not found.

NotFoundError

Update a delivery request

PUT /production/{productionId}/delivery_request/{id}

This call updates a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequest

✘

DeliveryRequest

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 5. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

409

The version in the update object does not match with the version stored causing an optimistic lock.

ConflictError

Patch a delivery request

PATCH /production/{productionId}/delivery_request/{id}

This call patches a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

body

✘

Object

body

Field Name

Required

Type

Description

Format

Query Parameters
Name Description Required Type

version

✘

Long

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 6. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

409

The version in the update object does not match with the version stored causing an optimistic lock.

ConflictError

Delivery Date and Expected Delivery Date

A DeliveryRequest has a deliveryDate property. If it is filled in, it represents the due date when the requested files and information should be provided. It can be set using this call:

PUT /production/{productionId}/delivery_request/{id}/delivery_date

This call updates a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

DeliveryDateUpdateRequest

✘

DeliveryDateUpdateRequest

DeliveryDateUpdateRequest

Field Name Required Type Description Format

deliveryDate

✘

Date

date-time

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 7. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body contains the deliveryDate like this:

{
    "deliveryDate": "2025-04-22T22:00:00.000Z"
}

A DeliveryRequest has a expectedDeliveryDate property. If it is filled in, it represents when the supplier expects to be able to supply the requested files and information. It can be set using this call:

PUT /production/{productionId}/delivery_request/{id}/expected_delivery_date

This call updates a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

ExpectedDeliveryDateUpdateRequest

✘

ExpectedDeliveryDateUpdateRequest

ExpectedDeliveryDateUpdateRequest

Field Name Required Type Description Format

expectedDeliveryDate

✘

Date

date-time

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 8. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body contains the expectedDeliveryDate like this:

{
    "expectedDeliveryDate": "2025-04-22T22:00:00.000Z"
}

A Production can also have a deliveryDate property. If it is set, it represents a fallback for the deliveryDate of DeliveryRequests that have no deliveryDate set.

POST /production/{id}/delivery_date

This call starts a workflow that changes the delivery date of the workspace.

Details
Description
Parameters
Path Parameters
Name Description Required Type

id

✔

Long

Body Parameters
Name Description Required Type

DeliveryDateUpdateRequest

✘

DeliveryDateUpdateRequest

DeliveryDateUpdateRequest

Field Name Required Type Description Format

deliveryDate

✘

Date

date-time

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 9. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs PRODUCTION_MANAGE rights.

ForbiddenError

404

The production was not found.

NotFoundError

The body contains the deliveryDate like this:

{
    "deliveryDate": "2025-04-22T22:00:00.000Z"
}

Assignee and Reviewer

Assignee

A DeliveryRequest has a assignee property. It represents the user or role responsible for fulfilling the request.

PUT /production/{productionId}/delivery_request/{id}/assignee

This call sets the assignee of a delivery request in a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestAssignee

✘

DeliveryRequestAssignee

DeliveryRequestAssignee

Field Name Required Type Description Format

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

deliveryRequest

✘

DeliveryRequest

id

✔

Long

The id of this resource

int64

lastUpdated

✘

Date

The time when this resource was last updated

date-time

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

role

✘

Role

roleId

✘

Long

int64

user

✘

User

userId

✘

Long

int64

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 10. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body can either be an object with a user id, name or username:

{
    "user": {
        "id": 4269
    }
}

The property can also be set to a role. This object contains either a role handle, name or id Then, the body will take this form:

{
    "role": {
        "handle": "my_role"
    }
}

The assignee for multiple delivery requests can be modified using a dedicated bulk update endpoint:

PUT /production/{productionId}/delivery_request/bulk/assignee

This call sets the assignee of multiple delivery request in a production

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestBulkAssigneeUpdateRequest

✘

DeliveryRequestBulkAssigneeUpdateRequest

DeliveryRequestBulkAssigneeUpdateRequest

Field Name Required Type Description Format

deliveryRequestIds

✘

List of long

The list of ids of the target delivery requests.

int64

role

✘

Object

user

✘

Object

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 11. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

Unlike individual updates, this bulk operation initiates a workflow to process the changes. As a result:

  • The response will include a workflow ID, which can be used to track progress.

  • The workflow status can be monitored using the calls described here.

  • The assignee updates will take effect only after the workflow completes successfully, not immediately upon request submission.

{
  "deliveryRequestIds": [ 1234, 1235],
  "role": {
      "id": 123
  }
}

When loading a DeliveryRequest, you can use the include=assignee flag to have it included in the response. It will be an object with either a userId or roleId property.

Reviewer

A DeliveryRequest has a reviewer property. It represents the user or role who should review DeliveryRequestSubmissions on the DeliveryRequest.

The API to set it is similar to setting an assignee (see above).

PUT /production/{productionId}/delivery_request/{id}/reviewer

This call sets the reviewer of a delivery request in a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestReviewer

✘

DeliveryRequestReviewer

DeliveryRequestReviewer

Field Name Required Type Description Format

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

deliveryRequest

✘

DeliveryRequest

id

✔

Long

The id of this resource

int64

lastUpdated

✘

Date

The time when this resource was last updated

date-time

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

role

✘

Role

roleId

✘

Long

int64

user

✘

User

userId

✘

Long

int64

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 12. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The reviewer for multiple delivery requests can be modified using a dedicated bulk update endpoint:

PUT /production/{productionId}/delivery_request/bulk/reviewer

This call sets the reviewer of a number of delivery requests in a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestBulkReviewerUpdateRequest

✘

DeliveryRequestBulkReviewerUpdateRequest

DeliveryRequestBulkReviewerUpdateRequest

Field Name Required Type Description Format

deliveryRequestIds

✘

List of long

The list of ids of the target delivery requests.

int64

role

✘

Object

user

✘

Object

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 13. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs PRODUCTION_VIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The API to set it is similar to setting an assignee in bulk (see above).

Unlike individual updates, this bulk operation initiates a workflow to process the changes. As a result:

  • The response will include a workflow ID, which can be used to track progress.

  • The workflow status can be monitored using the calls described here.

  • The reviewer updates will take effect only after the workflow completes successfully, not immediately upon request submission.

{
  "deliveryRequestIds": [ 1234, 1235],
  "role": {
      "id": 123
  }
}

When loading a DeliveryRequest, you can use the include=reviewer flag to have it included in the response. It will be an object with either a userId or roleId property.

Locking DeliveryRequests

When a DeliveryRequest is finalized and should no longer be updated, it can be locked.

PUT /production/{productionId}/delivery_request/{id}/lock

This call locks a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

body

✘

Object

body

Field Name

Required

Type

Description

Format

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 14. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_REVIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body is an empty object {}, or an object containing a userComment. The submitLocked property of the DeliveryRequest will change from false to true.

It is possible to unlock a locked DeliveryRequest using the call below.

PUT /production/{productionId}/delivery_request/{id}/unlock

This call unlocks a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

body

✘

Object

body

Field Name

Required

Type

Description

Format

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 15. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_REVIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body is an empty object {}, or an object containing a userComment. The submitLocked property of the DeliveryRequest will change from true to false.

Bulk

The locked status for multiple delivery requests can be modified using a dedicated bulk update endpoints:

PUT /production/{productionId}/delivery_request/bulk/lock

This call locks a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestBulkLockRequest

✘

DeliveryRequestBulkLockRequest

DeliveryRequestBulkLockRequest

Field Name Required Type Description Format

deliveryRequestIds

✘

List of long

The list of ids of the target delivery requests.

int64

lockData

✘

Object

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 16. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs DELIVERY_REQUEST_REVIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

PUT /production/{productionId}/delivery_request/bulk/unlock

This call unlocks a number of delivery requests.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestBulkUnlockRequest

✘

DeliveryRequestBulkUnlockRequest

DeliveryRequestBulkUnlockRequest

Field Name Required Type Description Format

deliveryRequestIds

✘

List of long

The list of ids of the target delivery requests.

int64

unlockData

✘

Object

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 17. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs DELIVERY_REQUEST_REVIEW rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

Unlike individual updates, this bulk operation initiates a workflow to process the changes. As a result:

  • The response will include a workflow ID, which can be used to track progress.

  • The workflow status can be monitored using the calls described here.

  • The locked status will take effect only after the workflow completes successfully, not immediately upon request submission.

Lock Body:

{
  "deliveryRequestIds": [ 1234, 1235],
  "lockData": {
      "userComment": {
        "description": "Locking these delivery requests"
      }
  }
}

Unlock Body:

{
  "deliveryRequestIds": [ 1234, 1235],
  "unlockData": {
      "userComment": {
        "description": "Unlocking these delivery requests"
      }
  }
}

Archiving DeliveryRequests

When a DeliveryRequest is no longer needed, it can be archived.

PUT /production/{productionId}/delivery_request/{id}/archive

This call archives a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

body

✘

Object

body

Field Name

Required

Type

Description

Format

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 18. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_ARCHIVE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body is an empty object {}, or an object containing a userComment. The activeStatus of the DeliveryRequest will change from Active to Archived.

Note that Archived DeliveryRequests will still appear in listing and search calls, and should be filtered out by the client application using them. In the Limecraft Flow UI, Archived requests are filtered out by default.

It is possible to activate an Archived DeliveryRequest using the call below.

PUT /production/{productionId}/delivery_request/{id}/activate

This call activates a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

id

✔

Long

Body Parameters
Name Description Required Type

body

✘

Object

body

Field Name

Required

Type

Description

Format

Return Type

DeliveryRequest

Field Name Required Type Description Format

activeStatus

✘

String

Is the request active, or is it archived?

Enum: Active, Archived,

allowFlowTransfer

✘

Boolean

Is the request allowed to transfer material to Limecraft Flow, or should it transfer to a linked VolumeAccess?

allowMultipleSubmissions

✘

Boolean

Make it possible for multiple submissions to be “active” (not in an end-state APPROVED or REJECTED) at the same time.

assignee

✘

DeliveryRequestAssignee

clientProperties

✔

Object

continueFromPreviousSubmission

✘

Boolean

This property influences if a new DeliveryRequestSubmission in the request dialog starts empty (if false) or starts from a clone of the last submission (if true). It is not interpreted by the API, but should be implemented by the client UI.

created

✘

Date

The time when this resource was created

date-time

createdBy

✘

String

The request or process that created this resource

creatorId

✘

Long

The id of the user who created this resource

int64

deliveryDate

✘

Date

When should this request be delivered?

date-time

deliveryRequestType

✔

String

This should be a unique identifier of this type of request. When integrating with Limecraft Flow DeliveryRequests, you can use this property to check the type of request you are dealing with (rather than for instance use the group and subGroup fields). We strongly advise to only use alphanumerical characters and dashes to create a deliveryRequestType handle. Special characters, accents etc. should be avoided.

description

✔

String

A plain-text description of what is expected to be provided in the request. It can be shown to the user as information.

editorialObject

✘

EditorialObject

editorialObjectId

✘

Long

int64

expectedDeliveryDate

✘

Date

When do we expect this request be delivered?

date-time

formFieldValues

✘

Object

formFieldsDefinition

✘

FormFieldsDefinition

group

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

hideDeliveryDate

✘

Boolean

Is a client user interface not allowed to show the delivery date?

id

✔

Long

The id of this resource

int64

label

✔

String

A human readable label for the DeliveryRequest. This can be shown to the user.

lastSubmissionApprovedDate

✘

Date

Date of approval of the last submission

date-time

lastUpdated

✘

Date

The time when this resource was last updated

date-time

layout

✔

Object

metadataOnly

✘

Boolean

When true, the request will not ask for file uploads. It will only show a metadata form.

modifiedBy

✔

String

The request or process responsible for the last update of this resource

objectType

✘

String

The data model type or class name of this resource

productionId

✘

Long

int64

reviewer

✘

DeliveryRequestReviewer

showPreviousSubmissions

✘

Boolean

Influences if the version sidebar in the request dialog is shown or not.

subGroup

✔

String

Used to organize DeliveryRequests, but the value itself is not interpreted by the system.

submissionStatus

✘

String

The status the DeliveryRequests last DeliveryRequestSubmission is in.

Enum: Open, Draft, AwaitingProbe, AwaitingAutoValidation, AwaitingDelivery, AwaitingReview, Accepted, Rejected, DraftFailed, DeliveryFailed,

submissions

✘

Set of DeliveryRequestSubmission

submitLocked

✘

Boolean

Marks the request as being "submission locked". This will not allow submit on existing DeliveryRequestSubmissions and will not allow creating new DeliveryRequestSubmissions

tag

✘

Set of string

templateId

✘

String

validationRules

✔

ValidationRules

version

✔

Long

The version of this resource, used for Optimistic Locking

int64

volumeAccesses

✘

Set of VolumeAccess

When not uploading to Flow, the transfer will upload to one of the VolumeAccesses in here.

Content Type
  • application/json

Responses
Table 19. http response codes
Code Description Datatype

200

The request was successful.

DeliveryRequest

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

The body is an empty object {}, or an object containing a userComment. The activeStatus of the DeliveryRequest will change from Archived to Active.

Bulk

The activeStatus for multiple delivery requests can be modified using a dedicated bulk update endpoints:

PUT /production/{productionId}/delivery_request/bulk/archive

This call archives a number of delivery requests of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestBulkArchiveRequest

✘

DeliveryRequestBulkArchiveRequest

DeliveryRequestBulkArchiveRequest

Field Name Required Type Description Format

archiveData

✘

Object

deliveryRequestIds

✘

List of long

The list of ids of the target delivery requests.

int64

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 20. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs DELIVERY_REQUEST_ARCHIVE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

PUT /production/{productionId}/delivery_request/bulk/activate

This call activates a delivery request of a production.

Details
Description
Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Body Parameters
Name Description Required Type

DeliveryRequestBulkActivateRequest

✘

DeliveryRequestBulkActivateRequest

DeliveryRequestBulkActivateRequest

Field Name Required Type Description Format

activateData

✘

Object

deliveryRequestIds

✘

List of long

The list of ids of the target delivery requests.

int64

Return Type

WorkflowMinWrapper

Field Name Required Type Description Format

accountId

✘

Long

int64

completed

✘

Long

int64

created

✘

Long

int64

errorReports

✘

List of TaskReport

href

✘

String

hrefs

✘

Map of Href

id

✘

String

label

✘

String

mediaObjectId

✘

Long

int64

mutex1

✘

Object

objectType

✘

String

productionId

✘

Long

int64

publishedFiles

✘

List of object

requiredRights

✘

List of ProductionPermission

serverTime

✘

Date

date-time

status

✘

String

Enum: Inited, Started, Completed, Error, Cancelled, Paused, CompletedPending, ErrorPending, WaitForCallback, Scheduled, Skipped,

taskReports

✘

List of TaskReport

tasks

✘

List of TaskAssignmentMinWrapper

userId

✘

Long

int64

workflowCompleted

✘

Date

date-time

workflowFailed

✘

Date

date-time

workflowId

✘

String

workflowStarted

✘

Date

date-time

Content Type
  • application/json

Responses
Table 21. http response codes
Code Description Datatype

200

The request was successful.

WorkflowMinWrapper

403

The user needs DELIVERY_REQUEST_MANAGE rights.

ForbiddenError

404

The production or delivery request was not found.

NotFoundError

Unlike individual updates, this bulk operation initiates a workflow to process the changes. As a result:

  • The response will include a workflow ID, which can be used to track progress.

  • The workflow status can be monitored using the calls described here.

  • The archive status will take effect only after the workflow completes successfully, not immediately upon request submission.

Archive Body:

{
  "deliveryRequestIds": [ 1234, 1235],
  "archiveData": {
      "userComment": {
        "description": "Archiving these delivery requests"
      }
  }
}

Activate Body:

{
  "deliveryRequestIds": [ 1234, 1235],
  "activateData": {
      "userComment": {
        "description": "Activating these delivery requests"
      }
  }
}

Lifecycle

Delivery Requests can be created manually via the API.

A DeliveryRequestSubmission can be created on a DeliveryRequest. Files can be attached to it, and form fields can be filled in. Then, the DeliveryRequestSubmission can be submitted.

The submissionStatus property contains the state of the DeliveryRequest. It is equal to the submissionStatus of the last non-archived DeliveryRequestSubmission, or Open if none are available. See submissionStatus of DeliveryRequestSubmission to learn more about the various states a DeliveryRequestSubmission, and thus a DeliveryRequest, can be in.

Activity

To retrieve activity events having to do with a particular DeliveryRequest, use the generic event call with the parameters provided below.

GET /production/{productionId}/event

This call will query the events.

Details
Description

On success, it returns the list of event objects.

Parameters
Path Parameters
Name Description Required Type

productionId

✔

Long

Return Type

String

Content Type
  • application/json

Responses
Table 22. http response codes
Code Description Datatype

200

The request was successful.

String

Parameter Value

offset

0

See Paging.

limit

50

See Paging, request 50 activity events

sort

created DESC

Sort so the most recent activity is first.

fq

object.id:646463 object.deliveryRequestId:646463

The example is for a DeliveryRequest with id 646463. It requests all activity on that object directly, or on an object that is a child of it (so, DeliveryRequestSubmissions).